lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Muir (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LUCENE-5940) change index backwards compatibility policy.
Date Thu, 11 Sep 2014 15:29:34 GMT

    [ https://issues.apache.org/jira/browse/LUCENE-5940?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14130141#comment-14130141
] 

Robert Muir commented on LUCENE-5940:
-------------------------------------

{quote}
however, 5.0 should ideally continue to support 4.0-4.99 indexes (at least from the codec/index
reading perspective)
{quote}

Who will do the work? Who will maintain this? 

Won't be me.

> change index backwards compatibility policy.
> --------------------------------------------
>
>                 Key: LUCENE-5940
>                 URL: https://issues.apache.org/jira/browse/LUCENE-5940
>             Project: Lucene - Core
>          Issue Type: Bug
>            Reporter: Robert Muir
>
> Currently, our index backwards compatibility is unmanageable. The length of time in which
we must support old indexes is simply too long.
> The index back compat works like this: everyone wants it, but there are frequently bugs,
and when push comes to shove, its not a very sexy thing to work on/fix, so its hard to get
any help.
> Currently our back compat "promise" is just a broken promise, because we cannot actually
guarantee it for these reasons.
> I propose we scale back the length of time for which we must support old indexes.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message